# Recurring Billing Runs Recurring Billing Runs ## Gets all of the recurring billing runs in the system. - [GET /recurringBillingRuns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/listrecurringbillingruns.md): This method will scan all recurring billing runs and and return them to the caller. ## Creates a new recurring billing run record that does not already exist. - [POST /recurringBillingRuns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/createrecurringbillingrun.md): This method will auto-generate an ID and create a new recurring billing run. If an ID is specified for the recurring billing run, an error will be thrown. ## Execute Batch Operations - [POST /recurringBillingRuns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified template_id - [GET /recurringBillingRuns/{tenantId}/template/{template_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/listrunsbytemplateid.md): Returns a list of records with the specified template_id ## Returns a recurring billing run from the system by its ID. - [DELETE /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/deleterecurringbillingrun.md): This method will delete a recurring billing run with the specified ID. ## Returns a recurring billing run from the system by its ID. - [GET /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/getrecurringbillingrun.md): This method will look up a recurring billing run by the specified ID and return it back. ## Partially updates a recurring billing run with the specified ID. - [PATCH /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/patchrecurringbillingrun.md): This method will patch an existing recurring billing run with the specified ID, using the HTTP PATCH specification. ## Updates a recurring billing run with the specified ID. - [PUT /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/updaterecurringbillingrun.md): This method will update an existing recurring billing run with the specified ID.